<?php
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'common.php';
include_once $path.'/Model_adm.php';
$webp_name='iplabel'; 
$webp_model='model_'.$webp_name.'.php'; 
//Inclusion des librairie
include_once $path.'common.php';
$_GET['nodeid']=$_REQUEST['node'];
/*DESCRIPTION: inclus les variables habituelles pour la gestion d'un noeud et vérifie les droits d'accès
 *NECESSITE: la variable $webp_name configurée
 *           la variable $webp_model est incluste
 *APRES l'inclusion du common_node_control les variables suivantes sont créées:
 *PHP:
 *      $node objet de type device
 *      $template_path chemin d'accès vers le répertoire template du plugin (exemple: /usr/local/esia/public_html/plugin/server/templates/)
 *      $apache_plugin_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_info = array('id'=>$node->getId(),
                    'name'=>$node->getName(),
				    'ip'=>$node->getIPAddress(),
				    'id'=>$node->getId(),
				    'description'=>$node->getDescription(),
				    'group'=>$node->getGroup());
 * SMARTY
        $webp_name nom du plugin 
        $node avec les donnée de node_info (voir au dessus)
 *      $apache_path chemin apache du plugin (exemple: /plugin/server/)
 *      $node_status pour l'affichage commun des noeuds si $_GET['tab'] est vide
 *
 */
include_once $path.'/inc/common_node_control.php';

$action='list';
if(isset($_GET['action'])&&!empty($_GET['action']))
{
    $action=$_GET['action'];
}
    $adv_config_id = $_REQUEST['id'];
    $node_id = $_REQUEST['node'];
    if(!isset($_REQUEST['node']))
    {
        $setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
        $node_id = $setting['node_id'];
    }
    if($action=="add")
    {
        $plugin = Model_esia::getPlugin($dbconnection,'CHECK_API_IP_LABEL_SYNC');
        $plugin = $plugin[0];
        Model_adm::addService($dbconnection,'CHECK_API_IP_LABEL_SYNC',$plugin['id'],$node_id,300000,'-A $AUTH_FILE_IPLABEL -t sync -w 15 -c 30',2,null,null,null,null,null);
    }
    if($action=="update"||$action=="add")
    {
        try
        {
            $setting = Model_adm::getAdvanceNodeConfig($dbconnection,NULL,$adv_config_id)[0];
            $auth = Model_iplabel::authFileToArray($setting['file_content']);
            if(isset($_POST['iplabel_url']) && !empty($_POST['iplabel_url']))
            {
                $auth['url']=$_POST['iplabel_url'];
                $auth['ip']=$_POST['iplabel_ip'];
                $auth['port']=$_POST['iplabel_port'];
                $auth['login']=$_POST['iplabel_login'];
                if(isset($_POST['iplabel_password']) && !empty($_POST['iplabel_password']))
                {
                    $auth['password']=$_POST['iplabel_password'];
                }

                $auth['newtest_output_folder']='/tmp/iplabel/'.$node_id.'/';
                $auth['newtest_log_folder']='/tmp/iplabel/'.$node_id.'/';
                $auth['passive_file']='/tmp/'.$node_id.'/test.cmd';
                $auth['timeout']=$_POST['iplabel_timeout'];
                $string =Model_iplabel::arrayToAuthfile($auth);                                   

                Model_adm::updateAuthFile($dbconnection,$adv_config_id,'iplabel',$string,$node_id);
                $ADM_MESSAGE[]= array('message'=>$lang['IPLABEL_UPDATE_SUCCESS']);
                $smarty->assign('ADM_MESSAGE',$ADM_MESSAGE);
            }
            if(!array_key_exists('url',$auth))
            {
                $auth['url']='https://nepv4.ip-label.net/nws/ManagementConsoleService.asmx';
            }
            if(!array_key_exists('ip',$auth))
            {
                $auth['ip']='nepv4.ip-label.net';
            }
            if(!array_key_exists('port',$auth))
            {
                $auth['port']=443;
            }
            if(!array_key_exists('timeout',$auth))
            {
                $auth['timeout']=30;
            }
            if(!empty($auth['password']))
            {
                $auth['password_set']=str_repeat('*',strlen($auth['password']));
            }
            $auth['password']=null;
            $smarty->assign('authparam',$auth);
            $smarty->assign('node',$node_id);
            $smarty->assign('adv_id',$adv_config_id);
            $smarty->assign('url',$setting['controller']);

            $smarty->display($template_path.'/adv_iplabel.html');
        }
        catch(Exception $ex)
        {
            $ERRORS[]= array('name'=>'DB error' ,'message'=>$ex->getMessage());
            $smarty->assign('ERRORS',$ERRORS);
        }
    }
?>
