#!/usr/bin/php
<?php
$path = '/usr/local/esia/public_html/';
$newtestpoller = 'Newtest_pooler.py';
$_SERVER['DOCUMENT_ROOT'] = $path;
include_once $path.'esia.conf.php';
include_once MVCMODEL;
include_once $path.'/Model_adm.php';
//connection à la base de donnée
try
{
	$dbconnection = new PDO('pgsql:host='.DB_HOST.';port='.DB_PORT.';dbname='.DB_NAME, DB_USERNAME, DB_PWD);
	$dbconnection->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
    //chemin d'accès au repertoire du plugin contenant les templates
    $arr = Model_esia::getWebPlugin($dbconnection,false,'iplabel');
    $apache_plugin_path = $arr[0]['apache_path'];
    $nodes = Model_esia::getNodebyType($dbconnection,null,'IP Label');
    foreach($nodes as $node)
    {
        $configs = Model_adm::getAdvanceNodeConfig($dbconnection,$node->getId());
        foreach($configs as $conf)
        {
            if($conf['name'] == 'IPLABEL')
            {
                echo $node->getName();
                $filename = '/tmp/auth/iplabel_'.$node->getId().'.dat';
                if(file_exists($filename))
                {
                    $folder = '/tmp/iplabel/'.$node->getId();
                    if(!file_exists($folder))
                    {
                        mkdir($folder,755,true);
                    }
                    $poller = 'python3 '.$path.$apache_plugin_path.'cron/'.$newtestpoller.' '.$filename.' 0';
                    exec($poller,$output,$ret);
                    if($ret == 0)
                    {
                        echo " SYNC IP LABEL SUCCESS\n";
                    }
                    else
                    {
                        $out="";
                        foreach($output as $line)
                        {
                            $out.=$line;
                        }
                        echo " SYNC IP LABEL FAILED: $poller\n$out\n";
                    }
                }
                else
                {
                        echo " authfile not found $filename\n";
                }
                break;
            }
        }
    }
}
catch(Exception $e)
{
	echo 'PDO SQL ERROR: '.$e->getMessage().'<br />';
	echo 'N° : '.$e->getCode();
}
?>
